set Simulation TRUE

if {$Simulation} {
    puts "Note: Simulation"
	  set g_simulation 1
	} else {
    puts "Note: Synthesis"
	  set g_simulation 0
	}

# -novopt is now deprecated
#vsim -voptargs="+acc" -novopt 
vsim -voptargs="+acc=lnprv" \
	+nowarn151 \
	+nowarn8684 \
  -G/clbv2_wr_ref_top/g_simulation=$g_simulation \
  -G/clbv2_wr_ref_top/g_dpram_initf=../../wr-cores/bin/wrpc/wrc_phy16.bram \
	-t ps -L unisim -lib work work.clbv2_wr_ref_top

do wave.tcl

view signals

do test.tcl

run 1 us 

stop

wave zoom full

#
# End
#
